"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SelectedItem = void 0;

var _preact = require("preact");

var _icon = require("./icon");

const SelectedItem = ({
  label,
  onClose
}) => (0, _preact.h)("div", {
  "data-e2e": "selectedItem",
  className: "bg-lightest-blue dark-blue inline-flex items-center br2"
}, (0, _preact.h)("span", {
  className: "pv2 pl2"
}, label), (0, _preact.h)("button", {
  className: "pa2 flex items-center bg-transparent bn pointer",
  type: "button",
  "data-e2e": "selectedRemoveButton",
  title: "remove",
  onClick: onClose
}, (0, _preact.h)(_icon.Icon, {
  icon: "close",
  size: "20",
  className: "dark-blue"
})));

exports.SelectedItem = SelectedItem;